<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFRunProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFRunProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFRunProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFShapeAutoFit.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFRunProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.text</div>
    <h2 title="Class XDDFRunProperties" class="title">Class XDDFRunProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.text.XDDFRunProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFRunProperties</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#XDDFRunProperties--">XDDFRunProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#XDDFRunProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties-">XDDFRunProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#getEffectContainer--">getEffectContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#getEffectList--">getEffectList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#getExtensionList--">getExtensionList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setAlternativeLanguage-java.util.Locale-">setAlternativeLanguage</a></span>(java.util.Locale&nbsp;lang)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setBaseline-java.lang.Integer-">setBaseline</a></span>(java.lang.Integer&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setBold-java.lang.Boolean-">setBold</a></span>(java.lang.Boolean&nbsp;bold)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setBookmark-java.lang.String-">setBookmark</a></span>(java.lang.String&nbsp;bookmark)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setCapitals-org.apache.poi.xddf.usermodel.text.CapsType-">setCapitals</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/CapsType.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">CapsType</a>&nbsp;caps)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setCharacterKerning-java.lang.Double-">setCharacterKerning</a></span>(java.lang.Double&nbsp;kerning)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setCharacterSpacing-java.lang.Double-">setCharacterSpacing</a></span>(java.lang.Double&nbsp;spacing)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setDirty-java.lang.Boolean-">setDirty</a></span>(java.lang.Boolean&nbsp;dirty)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setEffectContainer-org.apache.poi.xddf.usermodel.XDDFEffectContainer-">setEffectContainer</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a>&nbsp;container)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setEffectList-org.apache.poi.xddf.usermodel.XDDFEffectList-">setEffectList</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">setExtensionList</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setFillProperties-org.apache.poi.xddf.usermodel.XDDFFillProperties-">setFillProperties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setFonts-org.apache.poi.xddf.usermodel.text.XDDFFont:A-">setFonts</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFFont</a>[]&nbsp;fonts)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setFontSize-java.lang.Double-">setFontSize</a></span>(java.lang.Double&nbsp;size)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setHighlight-org.apache.poi.xddf.usermodel.XDDFColor-">setHighlight</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setHyperlink-org.apache.poi.xddf.usermodel.text.XDDFHyperlink-">setHyperlink</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFHyperlink</a>&nbsp;link)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setItalic-java.lang.Boolean-">setItalic</a></span>(java.lang.Boolean&nbsp;italic)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setKumimoji-java.lang.Boolean-">setKumimoji</a></span>(java.lang.Boolean&nbsp;kumimoji)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setLanguage-java.util.Locale-">setLanguage</a></span>(java.util.Locale&nbsp;lang)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setLineProperties-org.apache.poi.xddf.usermodel.XDDFLineProperties-">setLineProperties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setMouseOver-org.apache.poi.xddf.usermodel.text.XDDFHyperlink-">setMouseOver</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFHyperlink</a>&nbsp;link)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setNoProof-java.lang.Boolean-">setNoProof</a></span>(java.lang.Boolean&nbsp;noproof)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setNormalizeHeights-java.lang.Boolean-">setNormalizeHeights</a></span>(java.lang.Boolean&nbsp;normalize)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setSpellError-java.lang.Boolean-">setSpellError</a></span>(java.lang.Boolean&nbsp;error)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setStrikeThrough-org.apache.poi.xddf.usermodel.text.StrikeType-">setStrikeThrough</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/StrikeType.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">StrikeType</a>&nbsp;strike)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html#setUnderline-org.apache.poi.xddf.usermodel.text.UnderlineType-">setUnderline</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/UnderlineType.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">UnderlineType</a>&nbsp;underline)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFRunProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFRunProperties</h4>
                                <pre>public&nbsp;XDDFRunProperties()</pre>
                            </li>
                        </ul>
                        <a name="XDDFRunProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFRunProperties</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;XDDFRunProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="setBaseline-java.lang.Integer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBaseline</h4>
                                <pre>public&nbsp;void&nbsp;setBaseline(java.lang.Integer&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setDirty-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDirty</h4>
                                <pre>public&nbsp;void&nbsp;setDirty(java.lang.Boolean&nbsp;dirty)</pre>
                            </li>
                        </ul>
                        <a name="setSpellError-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpellError</h4>
                                <pre>public&nbsp;void&nbsp;setSpellError(java.lang.Boolean&nbsp;error)</pre>
                            </li>
                        </ul>
                        <a name="setNoProof-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNoProof</h4>
                                <pre>public&nbsp;void&nbsp;setNoProof(java.lang.Boolean&nbsp;noproof)</pre>
                            </li>
                        </ul>
                        <a name="setNormalizeHeights-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNormalizeHeights</h4>
                                <pre>public&nbsp;void&nbsp;setNormalizeHeights(java.lang.Boolean&nbsp;normalize)</pre>
                            </li>
                        </ul>
                        <a name="setKumimoji-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKumimoji</h4>
                                <pre>public&nbsp;void&nbsp;setKumimoji(java.lang.Boolean&nbsp;kumimoji)</pre>
                            </li>
                        </ul>
                        <a name="setBold-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBold</h4>
                                <pre>public&nbsp;void&nbsp;setBold(java.lang.Boolean&nbsp;bold)</pre>
                            </li>
                        </ul>
                        <a name="setItalic-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setItalic</h4>
                                <pre>public&nbsp;void&nbsp;setItalic(java.lang.Boolean&nbsp;italic)</pre>
                            </li>
                        </ul>
                        <a name="setFontSize-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontSize</h4>
                                <pre>public&nbsp;void&nbsp;setFontSize(java.lang.Double&nbsp;size)</pre>
                            </li>
                        </ul>
                        <a name="setFillProperties-org.apache.poi.xddf.usermodel.XDDFFillProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillProperties</h4>
                                <pre>public&nbsp;void&nbsp;setFillProperties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFFillProperties.html"
                                        title="interface in org.apache.poi.xddf.usermodel">XDDFFillProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="setCharacterKerning-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharacterKerning</h4>
                                <pre>public&nbsp;void&nbsp;setCharacterKerning(java.lang.Double&nbsp;kerning)</pre>
                            </li>
                        </ul>
                        <a name="setCharacterSpacing-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharacterSpacing</h4>
                                <pre>public&nbsp;void&nbsp;setCharacterSpacing(java.lang.Double&nbsp;spacing)</pre>
                            </li>
                        </ul>
                        <a name="setFonts-org.apache.poi.xddf.usermodel.text.XDDFFont:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFonts</h4>
                                <pre>public&nbsp;void&nbsp;setFonts(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFFont</a>[]&nbsp;fonts)</pre>
                            </li>
                        </ul>
                        <a name="setUnderline-org.apache.poi.xddf.usermodel.text.UnderlineType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnderline</h4>
                                <pre>public&nbsp;void&nbsp;setUnderline(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/UnderlineType.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">UnderlineType</a>&nbsp;underline)</pre>
                            </li>
                        </ul>
                        <a name="setStrikeThrough-org.apache.poi.xddf.usermodel.text.StrikeType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStrikeThrough</h4>
                                <pre>public&nbsp;void&nbsp;setStrikeThrough(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/StrikeType.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">StrikeType</a>&nbsp;strike)</pre>
                            </li>
                        </ul>
                        <a name="setCapitals-org.apache.poi.xddf.usermodel.text.CapsType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCapitals</h4>
                                <pre>public&nbsp;void&nbsp;setCapitals(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/CapsType.html"
                                        title="enum in org.apache.poi.xddf.usermodel.text">CapsType</a>&nbsp;caps)</pre>
                            </li>
                        </ul>
                        <a name="setHyperlink-org.apache.poi.xddf.usermodel.text.XDDFHyperlink-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHyperlink</h4>
                                <pre>public&nbsp;void&nbsp;setHyperlink(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFHyperlink</a>&nbsp;link)</pre>
                            </li>
                        </ul>
                        <a name="setMouseOver-org.apache.poi.xddf.usermodel.text.XDDFHyperlink-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMouseOver</h4>
                                <pre>public&nbsp;void&nbsp;setMouseOver(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFHyperlink</a>&nbsp;link)</pre>
                            </li>
                        </ul>
                        <a name="setLanguage-java.util.Locale-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLanguage</h4>
                                <pre>public&nbsp;void&nbsp;setLanguage(java.util.Locale&nbsp;lang)</pre>
                            </li>
                        </ul>
                        <a name="setAlternativeLanguage-java.util.Locale-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAlternativeLanguage</h4>
                                <pre>public&nbsp;void&nbsp;setAlternativeLanguage(java.util.Locale&nbsp;lang)</pre>
                            </li>
                        </ul>
                        <a name="setHighlight-org.apache.poi.xddf.usermodel.XDDFColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHighlight</h4>
                                <pre>public&nbsp;void&nbsp;setHighlight(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setLineProperties-org.apache.poi.xddf.usermodel.XDDFLineProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineProperties</h4>
                                <pre>public&nbsp;void&nbsp;setLineProperties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFLineProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFLineProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="setBookmark-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBookmark</h4>
                                <pre>public&nbsp;void&nbsp;setBookmark(java.lang.String&nbsp;bookmark)</pre>
                            </li>
                        </ul>
                        <a name="getExtensionList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtensionList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;getExtensionList()</pre>
                            </li>
                        </ul>
                        <a name="setExtensionList-org.apache.poi.xddf.usermodel.XDDFExtensionList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExtensionList</h4>
                                <pre>public&nbsp;void&nbsp;setExtensionList(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFExtensionList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                        <a name="getEffectContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectContainer</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a>&nbsp;getEffectContainer()</pre>
                            </li>
                        </ul>
                        <a name="setEffectContainer-org.apache.poi.xddf.usermodel.XDDFEffectContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEffectContainer</h4>
                                <pre>public&nbsp;void&nbsp;setEffectContainer(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectContainer.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectContainer</a>&nbsp;container)</pre>
                            </li>
                        </ul>
                        <a name="getEffectList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEffectList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a>&nbsp;getEffectList()</pre>
                            </li>
                        </ul>
                        <a name="setEffectList-org.apache.poi.xddf.usermodel.XDDFEffectList-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setEffectList</h4>
                                <pre>public&nbsp;void&nbsp;setEffectList(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFEffectList.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFEffectList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFRunProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFShapeAutoFit.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFRunProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFRunProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
